> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a webhook subscription

> Deletes a webhook subscription so it stops receiving deliveries. Returns 204 No Content on success.



## OpenAPI

````yaml /api-reference/webhooks.yaml delete /webhooks/{id}
openapi: 3.1.0
info:
  title: Webhooks
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /webhooks/{id}:
    delete:
      tags:
        - Webhooks
      summary: Delete a webhook subscription
      description: >-
        Deletes a webhook subscription so it stops receiving deliveries. Returns
        204 No Content on success.
      operationId: deleteWebhook
      parameters:
        - in: path
          name: id
          required: true
          schema:
            example: 550e8400-e29b-41d4-a716-446655440000
            format: uuid
            type: string
      responses:
        '204':
          description: Deleted
        '401':
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Not Found
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            await
            client.webhooks.delete('550e8400-e29b-41d4-a716-446655440000');
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            client.webhooks.delete(
                "550e8400-e29b-41d4-a716-446655440000",
            )
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.